import { defineStore } from 'pinia'

/**
 * 定义所有全局设置
 */
export const useSettingStore = defineStore({
    id: 'setting',
    state: () => {
        return {
            title: 'Sooka-SSO',		// 页面标题
            logo: 'http://file.dev33.cn/ssp/ssp-logo-480.png',		// logo地址
            version: 'v1.6.0',          // 版本号 
            updateTime: '2023-11-13',    // 更新日期 
            intro: 'Sooka-SSO 后台管理',          // 系统描述
            
            isServerMenu: true,    // 是否从后端加载菜单列表   --- true=从后端请求获取菜单，false=前端定义菜单 (menu-list.js 文件里定义)
        };
    },
    actions: {
        
    }
})
