# Sa-Sso-Pro v1.6.0
 
### 一、项目介绍
 
Sa-Sso-Pro，是基于 Sa-Token SSO 模块搭建的独立单点登录系统。


###  二、项目优势

1. 基于 SSO 三种模式搭建，可解决：同域、跨域、共享Redis、跨Redis、前后端一体、前后端分离、纯js、vue2、vue3 等架构下的单点登录问题。
2. 提供各种登录示例：超链接直接登录、访问页面触发登录、调用Ajax触发登录、超链接直接注销、调用Ajax单点注销 等各种场景下的交互姿势。
3. 提供可视化后台 UI 管理界面，更方便的维护数据（使用最新主流技术栈：vue3 + vite + element-plus + pinia 等）。
4. 提供用户同步方案：从认证中心同步到第三方系统，或者从第三方系统同步到认证中心。
5. 提供详细文档：项目搭建、启动、测试、开发、打包、部署等关键步骤的文档说明。
6. Server 端集成了文件上传、验证码授权、Redis 控制台、API 日志统计、登录日志统计等常见功能，项目基本部署即可用，同时也可方便的二开。


<div style="height: 400px"></div>