// ----- 定义首屏 tab 相关信息

// Home 首屏tab
export const homeTab = {
    id: 'home',	// 唯一标识
    title: '首页',    // 标题
    path: '/home',	// 页面地址
    component: () => import('@/sp-views/home/index.vue'),
    hideClose: true	// 隐藏关闭键
}

// Home 首屏视图
export const homeRoute = {
    name: homeTab.id,
    path: homeTab.path,
    component: homeTab.component,
    meta: {
        menu: homeTab
    }
}
