package com.pj.project.sys_user_acc;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 用作User账号登录 实体类
 * @author kong
 */
@Data
@Accessors(chain = true)
public class SysUserAcc {
	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "sys_user";	
	
    public long id;     // id
    public String username;     // 昵称
    public String avatar;     // 昵称
    public String password;     // 密码
    public String phone;        // 电话
    public String email;        // 邮箱 

    public int status;      // 状态，1=正常，2=禁用

    /*
     * 必须存在的字段：
     * id、username、password、pw、phone、status、
     * create_time、login_time、login_ip、login_count
     * 
     */
    
}
